qr.h File Reference

Definitions of QR factorisation functions. More...

`#include <itpp/base/mat.h>`
`#include <itpp/itexports.h>`

Go to the source code of this file.

## Namespaces

| itpp
| itpp namespace

## Functions

bool | itpp::qr (const mat &A, mat &Q, mat &R)
| QR factorisation of real matrix. More...
bool | itpp::qr (const mat &A, mat &R)
| QR factorisation of real matrix with suppressed evaluation of Q. More...
bool | itpp::qr (const mat &A, mat &Q, mat &R, bmat &P)
| QR factorisation of real matrix with pivoting. More...
bool | itpp::qr (const cmat &A, cmat &Q, cmat &R)
| QR factorisation of a complex matrix. More...
bool | itpp::qr (const cmat &A, cmat &R)
| QR factorisation of complex matrix with suppressed evaluation of Q. More...
bool | itpp::qr (const cmat &A, cmat &Q, cmat &R, bmat &P)
| QR factorisation of a complex matrix with pivoting. More...

## Detailed Description

Definitions of QR factorisation functions.

Author
  Tony Ottosson, Simon Wood, Adam Piatyszek and Vasek Smidl

Copyright (C) 1995-2010 (see AUTHORS file for a list of contributors)

This file is part of IT++ - a C++ library of mathematical, signal processing, speech processing, and communications classes and functions.

IT++ is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.

IT++ is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with IT++. If not, see http://www.gnu.org/licenses/.

Definition in file qr.h.

Generated on Thu Aug 20 2015 21:02:51 for IT++ by Doxygen 1.8.9.1